WNTextInternal::Style Struct Reference

Internal: class to store a style. More...

## Public Member Functions

| Style ()

## Public Attributes

std::string | m_name
| the style name More...
int | m_nextId
| the next style ? More...
Font | m_font
| the font properties More...
Paragraph | m_paragraph
| the paragraph properties More...
int | m_values [13]
| some unknown value More...
int | m_flags [6]
| some unknown flags More...

## Friends

std::ostream & | operator<< (std::ostream &o, Style const &st)
| operator<< More...

## Detailed Description

Internal: class to store a style.

## Constructor & Destructor Documentation

WNTextInternal::Style::Style | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | st
| ) |  |

friend

operator<<

## Member Data Documentation

int WNTextInternal::Style::m_flags[6]

some unknown flags

Referenced by Style().

Font WNTextInternal::Style::m_font

the font properties

std::string WNTextInternal::Style::m_name

the style name

int WNTextInternal::Style::m_nextId

the next style ?

Paragraph WNTextInternal::Style::m_paragraph

the paragraph properties

int WNTextInternal::Style::m_values[13]

some unknown value

Referenced by Style().

The documentation for this struct was generated from the following file:

- WNText.cxx